# Class MediaSourceNotSupportedError

#### Hierarchy

- MediaPlayerError
  - MediaSourceNotSupportedError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new MediaSourceNotSupportedError(): MediaSourceNotSupportedError

- #### Returns MediaSourceNotSupportedError

  Inherited from MediaPlayerError.constructor

## Properties

### `Readonly` category

category: Media = ErrorCategory.Media

Inherited from MediaPlayerError.category

### `Readonly` code

code: MediaSourceNotSupported = ErrorCode.MediaSourceNotSupported

Overrides MediaPlayerError.code

### `Readonly` description

description: "The media could not be loaded, either because the server or network failed or because the format is not supported." = 'The media could not be loaded, either because the server or network failed or because the format is not supported.'